#! /usr/bin/env node

const express = require('express');
const httpProxy = require('http-proxy');
const proxy = httpProxy.createProxyServer({});
const app = express();
const chalk = require('chalk');

// 命令行输入的端口号
const inputPort = process.argv[2]
if (!process.argv[2]) {
  console.error(chalk.red('请输入端口号'));
} else {
  app.use('/', (req, res, next) => {
    const host = req.hostname;
    switch(host) {
      case 'scmfe.banggood.cn':
        proxy.web(req, res, {
          target: 'http://127.0.0.1:8088'
        });
        return;
      
      case 'ewdtest.banggood.cn':
        proxy.web(req, res, {
          target: 'http://127.0.0.1:4321/'
        })
        return;
  
      case 'erptest.banggood.cn':
        proxy.web(req, res, {
          target: 'http://127.0.0.1:8081'
        })
        return;
      
      default:
        proxy.web(req, res, {
          target: `http://127.0.0.1:${inputPort}`
        })
        return;
    }
  });
  
  app.listen(80);
  console.log(chalk.green('server start, listening port 80'));
}